// 所有的字典类型typeCode都要在这里面写。

const DictDataUtil = {
  request_url:
    import.meta.env.VITE_APP_BASE_API + "/api/v1/sys/dictData/queryByType/",
  dept_tree_url: import.meta.env.VITE_APP_BASE_API + "/api/v1/sys/dept/orgTree",
  dept_list_url:
    import.meta.env.VITE_APP_BASE_API + "/api/v1/sys/dept/parent/list",
  post_list_url: import.meta.env.VITE_APP_BASE_API + "/api/v1/sys/post/list",

  img_url: import.meta.env.VITE_APP_UPLOAD_URL,

  TYPE_CODE: {
    //订单类型
    plan_order_type: "plan_order_type",
    //订单优先级
    plan_order_priority: "plan_order_priority",
    //工单状态
    plan_work_order_state: "plan_work_order_state",
    //订单状态
    plan_order_state: "plan_order_state",
    //设备类型
    device_type: "device_type",
    //设备状态
    device_status: "device_status",
    //设备运行状态
    device_run_status: "device_run_status",
    //设备维护频率
    device_maintenance_cycle: "device_maintenance_cycle",
    // 工艺路线类型
    routing_type: "routing_type",
    //缺陷管理
    defect_mana: "defect_mana",
    //封装方法
    packaging_method: "packaging_method",
    //岗位组
    post_group: "post_group",
    //岗位类别
    post_type: "post_type",
    //仓库类型
    warehouse_type: "warehouse_type",
    //仓库出库任务类型
    warehouse_out_task_type: "warehouse_out_task_type",
    //仓库任务状态
    warehouse_task_state: "warehouse_task_state",
    //货位类型
    storage_location_type: "storage_location_type",
    //载具类型
    vehicle_type: "vehicle_type",
    //载具状态
    vehicle_state: "vehicle_state",
    //生产准备-设备信息
    prepare_device_info: "prepare_device_info",
    //生产准备-图纸
    prepare_data_file: "prepare_data_file",
    //生产准备-工艺文件
    prepare_craft_file: "prepare_craft_file",
    //   生产计划-工位任务状态
    station_task_state: "station_task_state",
    //领用申请状态
    requisition_state: "requisition_state",
    //委外状态
    outsource_state: "outsource_state",
    work_order_seq_state: "work_order_seq_state",
    //报故状态
    escalation_fault_state: "escalation_fault_state",
    //报故追踪状态状态
    fault_current_state: "fault_current_state",
  },
  EXPAND_FIELD_TABLE: {
    //字段类型
    expand_field_type: "expand_field_type",
    //映射表列表
    expand_table_list: "expand_field_table",
    //订单计划表
    plan_order_info: "plan_order_info",
    //映射字段列表
    expand_field_list: "expand_field_list",
  },
};

export default DictDataUtil;
